All of lore.kernel.org
 help / color / mirror / Atom feed
From: carsten.haitzler@foss.arm.com
To: linux-kernel@vger.kernel.org
Cc: coresight@lists.linaro.org, suzuki.poulose@arm.com,
	mathieu.poirier@linaro.org, mike.leach@linaro.org,
	leo.yan@linaro.org, linux-perf-users@vger.kernel.org,
	acme@kernel.org
Subject: [PATCH 05/14] perf test: Add asm pureloop test shell script
Date: Fri,  1 Jul 2022 13:07:54 +0100	[thread overview]
Message-ID: <20220701120804.3226396-6-carsten.haitzler@foss.arm.com> (raw)
In-Reply-To: <20220701120804.3226396-1-carsten.haitzler@foss.arm.com>

From: "Carsten Haitzler (Rasterman)" <raster@rasterman.com>

Add a script to drive the asm pureloop test for arm64/CoreSight that
gathers data so it passes a minimum bar for amount and quality of
content that we extract from the kernel's perf support.

Signed-off-by: Carsten Haitzler <carsten.haitzler@arm.com>
---
 .../tests/shell/coresight/asm_pure_loop.sh     | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100755 tools/perf/tests/shell/coresight/asm_pure_loop.sh

diff --git a/tools/perf/tests/shell/coresight/asm_pure_loop.sh b/tools/perf/tests/shell/coresight/asm_pure_loop.sh
new file mode 100755
index 000000000000..569e9d46162b
--- /dev/null
+++ b/tools/perf/tests/shell/coresight/asm_pure_loop.sh
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+# CoreSight / ASM Pure Loop
+
+# SPDX-License-Identifier: GPL-2.0
+# Carsten Haitzler <carsten.haitzler@arm.com>, 2021
+
+TEST="asm_pure_loop"
+. $(dirname $0)/../lib/coresight.sh
+ARGS=""
+DATV="out"
+DATA="$DATD/perf-$TEST-$DATV.data"
+
+perf record $PERFRECOPT -o "$DATA" "$BIN" $ARGS
+
+perf_dump_aux_verify "$DATA" 10 10 10
+
+err=$?
+exit $err
-- 
2.32.0


  parent reply	other threads:[~2022-07-01 12:09 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-01 12:07 Patch series to add to and imporve tests for CoreSight carsten.haitzler
2022-07-01 12:07 ` [PATCH 01/14] perf test: Refactor shell tests allowing subdirs carsten.haitzler
2022-07-01 12:07 ` [PATCH 02/14] perf test: Add CoreSight shell lib shared code for future tests carsten.haitzler
2022-07-01 12:07 ` [PATCH 03/14] perf test: Add build infra for perf test tools for CoreSight tests carsten.haitzler
2022-07-01 12:07 ` [PATCH 04/14] perf test: Add asm pureloop test tool carsten.haitzler
2022-07-01 12:07 ` carsten.haitzler [this message]
2022-07-01 12:07 ` [PATCH 06/14] perf test: Add git ignore for perf data generated by the CoreSight tests carsten.haitzler
2022-07-01 12:07 ` [PATCH 07/14] perf test: Add memcpy thread test tool carsten.haitzler
2022-07-01 12:07 ` [PATCH 08/14] perf test: Add memcpy thread test shell script carsten.haitzler
2022-07-05 14:25   ` James Clark
2022-07-05 14:28     ` James Clark
2022-07-08  9:19     ` Carsten Haitzler
2022-07-01 12:07 ` [PATCH 09/14] perf test: Add thread loop test tool carsten.haitzler
2022-07-01 12:07 ` [PATCH 10/14] perf test: Add thread loop test shell scripts carsten.haitzler
2022-07-05 13:53   ` James Clark
2022-07-08  9:21     ` Carsten Haitzler
2022-07-08 10:27       ` Mike Leach
2022-07-08 16:45         ` Carsten Haitzler
2022-07-01 12:08 ` [PATCH 11/14] perf test: Add unroll thread test tool carsten.haitzler
2022-07-01 12:08 ` [PATCH 12/14] perf test: Add unroll thread test shell script carsten.haitzler
2022-07-01 12:08 ` [PATCH 13/14] perf test: Add git ignore for tmp and output files of CoreSight tests carsten.haitzler
2022-07-01 12:08 ` [PATCH 14/14] perf test: Add relevant documentation about CoreSight testing carsten.haitzler
2022-07-02  3:02   ` Bagas Sanjaya
2022-07-08  9:27     ` Carsten Haitzler
2022-07-08 10:43       ` Mike Leach
2022-07-05 22:41   ` kernel test robot
2022-07-12 13:57 A patch series improving data quality of perf test for CoreSight carsten.haitzler
2022-07-12 13:57 ` [PATCH 05/14] perf test: Add asm pureloop test shell script carsten.haitzler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220701120804.3226396-6-carsten.haitzler@foss.arm.com \
    --to=carsten.haitzler@foss.arm.com \
    --cc=acme@kernel.org \
    --cc=coresight@lists.linaro.org \
    --cc=leo.yan@linaro.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-perf-users@vger.kernel.org \
    --cc=mathieu.poirier@linaro.org \
    --cc=mike.leach@linaro.org \
    --cc=suzuki.poulose@arm.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.